diff tests/test-readtokens.sh @ 40221:8c1a17df67e0

tests: Prepare for using valgrind. tests/*.sh: Invoke all test programs through ${CHECKER}. tests/*/*.sh: Likewise.
author Bruno Haible <bruno@clisp.org>
date Sun, 10 Mar 2019 11:32:11 +0100
parents dcdc513e338b
children
line wrap: on
line diff
--- a/tests/test-readtokens.sh	Sun Mar 10 01:28:42 2019 +0100
+++ b/tests/test-readtokens.sh	Sun Mar 10 11:32:11 2019 +0100
@@ -3,21 +3,21 @@
 
 fail=0
 
-test-readtokens || fail=1
+${CHECKER} test-readtokens || fail=1
 
 # Simplest case.
 echo a:b:c: > exp || fail=1
-printf a:b:c | test-readtokens : > out 2>&1 || fail=1
+printf a:b:c | ${CHECKER} test-readtokens : > out 2>&1 || fail=1
 compare exp out || fail=1
 
 # Use NUL as the delimiter.
 echo a:b:c: > exp || fail=1
-printf 'a\0b\0c' | test-readtokens '\0' > out 2>&1 || fail=1
+printf 'a\0b\0c' | ${CHECKER} test-readtokens '\0' > out 2>&1 || fail=1
 compare exp out || fail=1
 
 # Two delimiter bytes, and adjacent delimiters in the input.
 echo a:b:c: > exp || fail=1
-printf a:-:b-:c:: | test-readtokens :- > out 2>&1 || fail=1
+printf a:-:b-:c:: | ${CHECKER} test-readtokens :- > out 2>&1 || fail=1
 compare exp out || fail=1
 
 Exit $fail